<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LastVehicleInfo_V4 StructType
 * @subpackage Structs
 */
class LastVehicleInfo_V4 extends AbstractStructBase
{
    /**
     * The DateLastVehicle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $DateLastVehicle;
    /**
     * Constructor method for LastVehicleInfo_V4
     * @uses LastVehicleInfo_V4::setDateLastVehicle()
     * @param string $dateLastVehicle
     */
    public function __construct($dateLastVehicle = null)
    {
        $this
            ->setDateLastVehicle($dateLastVehicle);
    }
    /**
     * Get DateLastVehicle value
     * @return string
     */
    public function getDateLastVehicle()
    {
        return $this->DateLastVehicle;
    }
    /**
     * Set DateLastVehicle value
     * @param string $dateLastVehicle
     * @return \StructType\LastVehicleInfo_V4
     */
    public function setDateLastVehicle($dateLastVehicle = null)
    {
        // validation for constraint: string
        if (!is_null($dateLastVehicle) && !is_string($dateLastVehicle)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateLastVehicle, true), gettype($dateLastVehicle)), __LINE__);
        }
        $this->DateLastVehicle = $dateLastVehicle;
        return $this;
    }
}
